JavaScript call frame. Array of call frames form the call stack.

### Hierarchy

- CallFrame

## Index

### Properties

- callFrameId
- functionLocation
- functionName
- location
- returnValue
- scopeChain
- this
- url

## Properties

### callFrameId

callFrameId: CallFrameId

- Defined in node_modules/@types/node/inspector.d.ts:103

Call frame identifier. This identifier is only valid while the virtual machine is paused.

### Optional functionLocation

functionLocation: Location

- Defined in node_modules/@types/node/inspector.d.ts:111

Location in the source code.

### functionName

functionName: string

- Defined in node_modules/@types/node/inspector.d.ts:107

Name of the JavaScript function called on this call frame.

### location

location: Location

- Defined in node_modules/@types/node/inspector.d.ts:115

Location in the source code.

### Optional returnValue

returnValue: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:131

The value being returned, if the function is at return point.

### scopeChain

scopeChain: Scope[]

- Defined in node_modules/@types/node/inspector.d.ts:123

Scope chain for this call frame.

### this

this: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:127

`this` object for this call frame.

### url

url: string

- Defined in node_modules/@types/node/inspector.d.ts:119

JavaScript script name or url.

Generated using TypeDoc